import { LitElement, PropertyValueMap } from 'lit';
import type { EChartsOption } from 'echarts';
import { InputData } from './definition-schema.js';
import * as echarts from 'echarts/core';
type Dataseries = Exclude<InputData['dataseries'], undefined>[number];
type ChartCombination = {
    echart?: echarts.ECharts;
    dataSets: Dataseries[];
    element?: HTMLDivElement;
    doomed?: boolean;
};
type Theme = {
    theme_name: string;
    theme_object: any;
};
export declare class WidgetDoughnut extends LitElement {
    inputData?: InputData;
    theme?: Theme;
    private canvasList;
    private chartContainer?;
    private themeBgColor?;
    private themeTitleColor?;
    private themeSubtitleColor?;
    private resizeObserver;
    boxes?: HTMLDivElement[];
    origWidth: number;
    origHeight: number;
    template: EChartsOption;
    modifier: number;
    version: string;
    constructor();
    disconnectedCallback(): void;
    update(changedProperties: Map<string, any>): void;
    updated(changedProperties: Map<string, any>): void;
    protected firstUpdated(_changedProperties: PropertyValueMap<any> | Map<PropertyKey, unknown>): void;
    registerTheme(theme?: Theme): void;
    adjustSizes(): void;
    transformData(): Promise<void>;
    applyData(): Promise<void>;
    deleteCharts(): void;
    setupChart(label: string): ChartCombination | {
        echart: echarts.ECharts;
        dataSets: Dataseries[];
        element: HTMLDivElement;
    } | undefined;
    static styles: import("lit").CSSResult;
    render(): import("lit-html").TemplateResult<1>;
}
export {};
